Subject: Re: bug#24676: 25.1; `completion-pcm-all-completions' should not reverse order of candidates

From: Michael Heerdegen <[email-masked]>
Date: Tue, 18 Oct 2016 10:11:38 +0200

Stefan Monnier <[email-masked]> writes:

> completion-pcm-all-completions doesn't have any such code.  After
> searching a bit I decided you meant completion-pcm--all-completions.

Oh yes, I found that too, but forgot to mention.

>
> > (let ((poss ()))
> >   (dolist (c compl)
> >     (when (string-match-p regex c) (push c poss)))
> >   (nreverse poss))
>
> Looks good, please install,

This doesn't seem to meet any of the criteria in

    http://lists.gnu.org/archive/html/emacs-devel/2016-10/msg00007.html

so I think I'll have to commit to master.

Michael.